
Core - Bug # 25100

Status: Closed Priority: Should have
Author: Christian Kuhn Category:
Created: 2011-02-19 Assigned To:
Updated: 2013-09-02 Due date:
TYPO3 Version: 4.5
PHP Version: 5.3
Complexity:
Is Regression:
Sprint Focus:
Subject: Method includeMakeMenu() of class tslib_menu is deprecated but still used in the core
Description

Used in class tslib_menu method makeMenu()

(issue imported from #M17667)

Related issues:
related to Core - Task # 31461: The Big Cleanup 4.7 Resolved 2012-02-19 2012-02-20
related to LTS Smooth Migration - Task # 49197: Check for 'Remove leftover de... Rejected 2013-06-17

Associated revisions
Revision 6290f64f - 2012-03-15 08:08 - Tolleiv Nietsch

[BUGFIX] Remove menu type special.userdefined

The manual says that this type has been removed in 4.6 in favor of
userfunctions.
Besides that, the block makes use of includeMakeMenu(), which doesn't
exist anymore.
Therefore I'd say it's safe to remove the block.

Change-Id: I69b33894eff55a8eedd0b04448229a96f6a0d199
Fixes: #25100
Release: 4.7, 4.6
Reviewed-on: http://review.typo3.org/8848
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Stefan Neufeind
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

Revision 9684bd7e - 2012-03-27 15:05 - Tolleiv Nietsch

[BUGFIX] Remove menu type special.userdefined

The manual says that this type has been removed in 4.6 in favor of
userfunctions.
Besides that, the block makes use of includeMakeMenu(), which doesn't
exist anymore.
Therefore I'd say it's safe to remove the block.

Change-Id: I69b33894eff55a8eedd0b04448229a96f6a0d199
Fixes: #25100
Release: 4.7, 4.6
Reviewed-on: http://review.typo3.org/9911
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

History
#1 - 2012-02-05 11:00 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8848

#2 - 2012-02-05 13:58 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8848

#3 - 2012-03-15 14:30 - Tolleiv Nietsch
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6290f64f9331bb546dd5cba5a716dfd9f4263581.

#4 - 2012-03-27 15:05 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_4-7 has been pushed to the review server.
It is available at http://review.typo3.org/9911

#5 - 2012-03-28 02:30 - Tolleiv Nietsch
- Status changed from Under Review to Resolved

Applied in changeset commit:9684bd7e89c994fbdb494379d43a2750687202d0.

#6 - 2012-08-19 13:30 - Gerrit Code Review
- Status changed from Resolved to Under Review
Patch set 1 for branch TYPO3_4-6 has been pushed to the review server.
It is available at http://review.typo3.org/13914

#7 - 2013-09-02 09:48 - Alexander Opitz
- Category deleted (Communication)
- Status changed from Under Review to Closed
- Target version deleted (0)

This issue was resolved in Master and 4.7. The 4.6 version was abandoned as out of support.
